Page MenuHomePhabricator

Give a way for users to opt-out Cross-wiki Notifications
Closed, ResolvedPublic

Description

Some users have expressed the wish to have a way to disable all Cross-wiki Notifications. 1 2

That may be a part of T114917: Enable cross-wiki users to set preferences for what wikis they see where, with a single option "disable all Cross-wiki Notifications".

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 7 2016, 3:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

One thing we could do is add a line to this:

with the "email" one greyed out as it is for "Email from other user". Alternatively, we could add another normal preference below "Show talk page message indicator in my toolbar".

"Show talk page message indicator in my toolbar" is, I think more easier to find and understand. The point is to enable-disable a functionality, like the message indicator, not to adjust a level of associations like the list does.

Ping @Pginer-WMF who has always good ideas :)

Change 276683 had a related patch set uploaded (by Catrope):
Always show a cross-wiki notifications preference, even if the beta feature is disabled

https://gerrit.wikimedia.org/r/276683

Catrope added a comment.EditedMar 11 2016, 1:53 AM

Change 276683 had a related patch set uploaded (by Catrope):
Always show a cross-wiki notifications preference, even if the beta feature is disabled
https://gerrit.wikimedia.org/r/276683

That patch does what @Trizek-WMF suggested:

It allows cross-wiki notifs to be controlled either by a beta feature or by a normal preference. Separately from that, we can control whether that preference is enabled by default or not. So in production, we'd simultaneously disable the beta feature (moving the preference to the Notifications tab) and make the preference be enabled by default.

Thoughts?

Thoughts?

I think that is a minimal and reasonable way to expose the setting. It can be useful initial step for learning, but I'm not sure we know enough about how this feature is used to declare this solution final.

While the users are in beta we'll have time to learn more about the needs for disabling and whether we need less or more control (I'm always leaning towards less settings *when possible*). So maybe people are ok with having always an extra item for cross-wiki notifications (it's just one item even if you have many notifications in other sites), but they found distracting the badge to call for their attention, and is that what the setting should be about.

I'm trying to dig to the specifics when we get feedback around this area, an I think that would help to better understand what is behind the more generic "can we disable?" request (which is totally common and understandable every time a new feature is added).

In whichever form we add the preference, it is also important to make sure we can get an idea of how many people made use of it. Ideally in a way that allows us to identify some patterns (e.g., people don't want to view the meta-project notifications from MediaWiki while they are on Wikipedia but they are happy getting those from Commons).

Can we consider that task as resolved or am I missing something?

Change 276683 merged by jenkins-bot:
Always show a cross-wiki notifications preference, even if the beta feature is disabled

https://gerrit.wikimedia.org/r/276683

Just to confirm. I'm assuming the preference checkbox and the beta-feature checkbox are always in sync. That is, I can activate/deactivate the feature from one place and the result is reflected in the other too.
Is that right?

That's what I've understood, Pau.

Just to confirm. I'm assuming the preference checkbox and the beta-feature checkbox are always in sync. That is, I can activate/deactivate the feature from one place and the result is reflected in the other too.
Is that right?

Only one of the two will appear at any time, but they're the same preference behind the scenes so their values will always be in sync, yes.

Etonkovidova added a subscriber: Etonkovidova.EditedMar 23 2016, 8:38 PM

Checked in betalabs

  • 'Enhanced notifications' option is removed from beta features

  • 'Cross-wiki notifications' is added to User Preferences-Notifications:

Opt-in and opt-out add/remove cross-wiki functionality to Echo notifications.

@Catrope, this task looks complete. But I have two comments:

  • Rolling this out effectively -- at least from a UI viewpoint -- takes X-wiki out of Beta, since the Preferences link is mutually exclusive to the Beta opt in feature according to the notes above. So,
    • I've listed T130655 (the tracking task for making x-wiki a default) as a blocking task for this ticket (these were listed the opposite way) and,
    • I'm signaling to you that, I imagine, you need to put this on a list or something to make sure to hold it back from releases until we are ready for that to happen.
  • Also, just to confirm, I assume that when we roll this out, we can set the default how we please? (We are planning, I believe, to set to "on.")

Roan, if you're comfortable with the above, please go ahead and Resolve this. Thanks.

@Catrope, this task looks complete. But I have two comments:

  • Rolling this out effectively -- at least from a UI viewpoint -- takes X-wiki out of Beta, since the Preferences link is mutually exclusive to the Beta opt in feature according to the notes above. So,
    • I've listed T130655 (the tracking task for making x-wiki a default) as a blocking task for this ticket (these were listed the opposite way) and,

You could argue it either way. I made this block T130655 because we need to have an opt-out mechanism before we enable XWN by default. You made T130655 block this because enabling this doesn't make sense until it's out of beta.

  • I'm signaling to you that, I imagine, you need to put this on a list or something to make sure to hold it back from releases until we are ready for that to happen.

We actually don't have to, because it's behind a configuration flag. All I did is provide the option to switch wikis between the beta state and the non-beta state, but all wikis are now in the beta state and that won't change unless and until we decide to change it.

  • Also, just to confirm, I assume that when we roll this out, we can set the default how we please? (We are planning, I believe, to set to "on.")

Yes, we can set the default to either "on" or "off (right now it's "off"), and that's independent of whether it appears as a beta feature or not.

Roan, if you're comfortable with the above, please go ahead and Resolve this. Thanks.

I'll resolve and change the blocked-ness back to the other way around, since this task is for providing the opt-out in the code, not enabling it on the site.

Quiddity mentioned this in Unknown Object (Task).Apr 2 2016, 8:42 AM

I would have think it about that before: is it possible to release that opt-out option before the release? We may have people who didn't wanted to have these cross-wiki notifications at all and who will receive some because they haven't opt-ed out.

@Trizek-WMF, I see this task is shown as Resolved. And it is listed as a blocker for Enable X-wiki by default. So I it looks to me like it will in fact be a part of the release. Right @Catrope?

That's my question actually.

Imagine a user who hates the idea of receiving Notifications from other wikis.
We have announced that it will be possible to opt-out.

In fact, they will have to opt-out after the release, which means they will receive x-wiki notifications they don't expect before opting-out. And they will rant, which is not really cool. :)

Unfortunately with the way the preferences system works in MediaWiki, providing an opt-out ahead of time when changing a preference from opt-in (default off) to opt-out (default on) is not feasible. What we're doing here is the same thing that was done with VisualEditor, so while it's not ideal it's also not unexpected, I hope.

That's really unfortunate. :/